VismaBouwsoftAPICalls.v1_GET_Products Method
v1_GET_Products() as String

This API call is used to get fields of a(n) Product(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /Products/
or
API Path: /Products/{id}
or
API Path: /Products/{id}/image
or
API Path: /Products/{id}/note_html
or
API Path: /Products/{id}/note_plain
or
API Path: /Products/{id}/note_rtf
or
API Path: /Products/FieldInfo/

You can make this API call:
* without the key field id to get a list of Products
* with the key field id as the path parameter (the specific id of the Product you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
list 2 tpString 50 No Yes No
group 2 tpString 50 No Yes No
nr1 2 tpString 100 No Yes No
nr2 2 tpString 100 No Yes No
description 2 tpString 0 No Yes No
price_cost 14 tpCurrencyHD 0 No Yes No
price_catalogue 14 tpCurrencyHD 0 No Yes No
price_sales1 14 tpCurrencyHD 0 No Yes No
price_sales2 14 tpCurrencyHD 0 No Yes No
price_sales3 14 tpCurrencyHD 0 No Yes No
margin_catalogue 14 tpCurrencyHD 0 No Yes No
margin1 14 tpCurrencyHD 0 No Yes No
margin2 14 tpCurrencyHD 0 No Yes No
margin3 14 tpCurrencyHD 0 No Yes No
discount1 14 tpCurrencyHD 0 No Yes No
discount2 14 tpCurrencyHD 0 No Yes No
discount3 14 tpCurrencyHD 0 No Yes No
brand 2 tpString 150 No Yes No
type 2 tpString 0 No Yes No
unit 2 tpString 10 No Yes No
salesunit_id 1 tpLong 0 No Yes No
salesunit 2 tpString 10 No No No
purchaseunit_id 1 tpLong 0 No Yes No
purchaseunit 2 tpString 10 No No No
unit_localized 2 tpString 10 No No No
salesunit_localized 2 tpString 10 No No No
purchaseunit_localized 2 tpString 10 No No No
active 5 tpBool 0 No Yes No
barcode 2 tpString 0 No Yes No
activesupplier_id 1 tpLong 0 No Yes No Addresses
activesupplier_name 2 tpString 150 No No No
ts_lastupdate 3 tpDate 0 No No No

/Products/

API Path: /Products/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Products

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IAjfWxflljzSfmbVtfzRqktkfGDlfGrUfDIkzrIPbItGDIPmlG

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/503443”, “Records”: [
  {
    "id": 1,
    "list": "VERF",
    "group": "01 Levis",
    "nr1": "01 Pl 01",
    "nr2": "",
    "description": "Levis Plafond voor baksteen, ruwe beton, cementbezetting, gipskartonplaat, pleisterwerk",
    "price_cost": 3.5,
    "price_catalogue": 4.55,
    "price_sales1": 4.55,
    "price_sales2": 4.2,
    "price_sales3": 3.85,
    "margin_catalogue": 30.0,
    "margin1": 30.0,
    "margin2": 20.0,
    "margin3": 10.0,
    "discount1": 0.0,
    "discount2": 7.6923,
    "discount3": 15.384600000000001,
    "brand": "",
    "type": "",
    "unit": "st.",
    "salesunit_id": 0,
    "salesunit": "st.",
    "purchaseunit_id": 3,
    "purchaseunit": "m2",
    "unit_localized": "pc.",
    "salesunit_localized": "pc.",
    "purchaseunit_localized": "m²",
    "active": true,
    "barcode": "",
    "activesupplier_id": 0,
    "activesupplier_name": "",
    "ts_lastupdate": "2020–11–26 10:15:16"
  },
  {
    "id": 2,
    "list": "VERF",
    "group": "01 Levis",
    "nr1": "01 Mu 01",
    "nr2": "",
    "description": "Levis Muur voor baksteen, behangpapier, ruwe beton, cellenbeton, betonblokken, cementbezetting, gipskartonplaat, glasvezel, pleisterwerk",
    "price_cost": 2.5,
    "price_catalogue": 3.25,
    "price_sales1": 3.25,
    "price_sales2": 3.0,
    "price_sales3": 2.75,
    "margin_catalogue": 30.0,
    "margin1": 30.0,
    "margin2": 20.0,
    "margin3": 10.0,
    "discount1": 0.0,
    "discount2": 7.6923,
    "discount3": 15.384600000000001,
    "brand": "",
    "type": "",
    "unit": "L",
    "salesunit_id": 859,
    "salesunit": "doos",
    "purchaseunit_id": 861,
    "purchaseunit": "st.",
    "unit_localized": "L",
    "salesunit_localized": "box",
    "purchaseunit_localized": "pc.",
    "active": true,
    "barcode": "",
    "activesupplier_id": 0,
    "activesupplier_name": "",
    "ts_lastupdate": "2026–05–07 09:12:38"
  }
,

]
}

/Products/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Products/2832401

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: IAjfWxflljzSfmbVtfzRqktkfGDlfGrUfDIkzrIPbItGDIPmlG

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 2832401,
    "list": "ALGEMEEN",
    "group": "",
    "nr1": "190182",
    "nr2": "",
    "description": "Tegels Citroengeel 40*60",
    "price_cost": 12.35,
    "price_catalogue": 17.289999999999999,
    "price_sales1": 13.585000000000001,
    "price_sales2": 14.82,
    "price_sales3": 16.055,
    "margin_catalogue": 40.0,
    "margin1": 10.0,
    "margin2": 20.0,
    "margin3": 30.0,
    "discount1": 21.428599999999999,
    "discount2": 14.2857,
    "discount3": 7.1429,
    "brand": "",
    "type": "",
    "unit": "st.",
    "salesunit_id": 0,
    "salesunit": "st.",
    "purchaseunit_id": 0,
    "purchaseunit": "st.",
    "unit_localized": "pc.",
    "salesunit_localized": "pc.",
    "purchaseunit_localized": "pc.",
    "active": true,
    "barcode": "",
    "activesupplier_id": 0,
    "activesupplier_name": "",
    "ts_lastupdate": "2026–05–07 09:19:27"
  }
]
}

/Products/{id}/image

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Products/1758656/image

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: bbGfWxfOPfzSfVUjmtzRqrVffDAOIOftjmrtzPrbPGOGmmjrmD
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

image

/Products/{id}/note_html

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Products/1758656/note_html

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UfDfWxfOPkzSftIAGfzRqVrrfVmOkGrbftAkzbPDAbPIkfDkUb

Success gives statuscode 200 And the following result

<HTML><BODY> <B><U><DIV STYLE="text-align: left;"><SPAN STYLE="font-family: Arial;font-size: 24pt;color: #000000;">AXIS Camera Station<BR> <BR> </B><I></U></SPAN><SPAN STYLE="font-family: Arial;font-size: 16pt;color: #888888;">Optimized for easy and efficient surveillance<BR> <BR> <BR> </I></SPAN><SPAN STYLE="font-family: Arial;font-size: 16pt;color: #000000;">Optimized for small- to mid-sized installations<BR> <BR> </SPAN><SPAN STYLE="font-family: Times New Roman;font-size: 12pt;color: #000000;">AXIS Camera Station, video management software, is the ideal solution to meet the needs for efficient surveillance of small- and midsized installations, such as retail shops, hotels, schools and manufacturing sites &#150; a proven solution with more than 50,000 installations worldwide. It is designed to perfectly match Axis' wide range of network video products and product features to optimize system reliability. <BR> <BR> </SPAN><SPAN STYLE="font-family: Arial;font-size: 16pt;color: #000000;">Ease of operation &amp; high-definition identification<BR> <BR> </SPAN><SPAN STYLE="font-family: Times New Roman;font-size: 12pt;color: #000000;">A setup wizard with automatic camera discovery guides you through every step of the setup process. This allows the system to be up and running within minutes. AXIS Camera Station is developed with focus on ease of use and intuitive operation, ensuring that anyone can effectively manage incidents and quickly export high definition evidence. AXIS Camera Station allows the user to add useful functionality such as </SPAN><SPAN STYLE="font-family: Times New Roman;font-size: 12pt;color: #FF0000;">AXIS A8004&#8209;VE Network Video Door Station</SPAN><SPAN STYLE="font-family: Times New Roman;font-size: 12pt;color: #000000;"> for audiovisual identification and remote entry control, as well as </SPAN><SPAN STYLE="font-family: Times New Roman;font-size: 12pt;color: #FF0000;">AXIS C3003&#8209;E Network Horn Speaker </SPAN><SPAN STYLE="font-family: Times New Roman;font-size: 12pt;color: #000000;">that enables an operator to remotely address people and deter unwanted activity.</SPAN></DIV> </BODY></HTML>

/Products/{id}/note_plain

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Products/1758656/note_plain

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PDjfWxftrlzSfIIOUfzRqDDIffbUGfUAfAkbzAfVlrtfGGIODr

Success gives statuscode 200 And the following result

AXIS Camera Station

Optimized for easy and efficient surveillance

Optimized for small- to mid-sized installations

AXIS Camera Station, video management software, is the ideal solution to meet the needs for efficient surveillance of small- and midsized installations, such as retail shops, hotels, schools and manufacturing sites – a proven solution with more than 50,000 installations worldwide. It is designed to perfectly match Axis’ wide range of network video products and product features to optimize system reliability.

Ease of operation & high-definition identification

A setup wizard with automatic camera discovery guides you through every step of the setup process. This allows the system to be up and running within minutes. AXIS Camera Station is developed with focus on ease of use and intuitive operation, ensuring that anyone can effectively manage incidents and quickly export high definition evidence. AXIS Camera Station allows the user to add useful functionality such as AXIS A8004‑VE Network Video Door Station for audiovisual identification and remote entry control, as well as AXIS C3003‑E Network Horn Speaker that enables an operator to remotely address people and deter unwanted activity.

/Products/{id}/note_rtf

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Products/1758656/note_rtf

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: rAkfWxflIlzSfDrjffzRqmkIfkVlkGkVfrDkzrGDUAPIVGfOml

Success gives statuscode 200 And the following result

{\rtf1\ansi\deff0{\fonttbl{\f0\fnil Times New Roman;}{\f1\fnil Arial;}}{\colortbl ;\red0\green0\blue0;\red136\green136\blue136;\red255\green0\blue0;}{*\generator Spikesoft 16.02;}\ql\li0\f1\fs48\cf1\b\ul AXIS Camera Station\par\par\fs32\cf2\b0\i\ul0 Optimized for easy and efficient surveillance\par\par\par\cf1\i0 Optimized for small- to mid-sized installations\par\par\f0\fs24 AXIS Camera Station, video management software, is the ideal solution to meet the needs for efficient surveillance of small- and midsized installations, such as retail shops, hotels, schools and manufacturing sites \uc0\u8211 a proven solution with more than 50,000 installations worldwide. It is designed to perfectly match Axis’ wide range of network video products and product features to optimize system reliability. \par\par\f1\fs32 Ease of operation & high-definition identification\par\par\f0\fs24 A setup wizard with automatic camera discovery guides you through every step of the setup process. This allows the system to be up and running within minutes. AXIS Camera Station is developed with focus on ease of use and intuitive operation, ensuring that anyone can effectively manage incidents and quickly export high definition evidence. AXIS Camera Station allows the user to add useful functionality such as \cf3 AXIS A8004\u8209 VE Network Video Door Station\cf1 for audiovisual identification and remote entry control, as well as \cf3 AXIS C3003\u8209 E Network Horn Speaker \cf1 that enables an operator to remotely address people and deter unwanted activity.}

/Products/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Products/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "list",
    "type_id": 2,
    "type_name": "tpString",
    "length": 50,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "group",
    "type_id": 2,
    "type_name": "tpString",
    "length": 50,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  }
,

]